import { ChangeDetectorRef, Component, EventEmitter, Input, Output } from '@angular/core';
import { ToastrService } from 'ngx-toastr';
import { AppraisalSubordinateModel, MyAppraisalSubordinateModel } from 'src/app/shared/model/appraisal-subordinate.model';
import { AppraisalService } from 'src/app/shared/services/appraisal.service';

@Component({
  selector: 'app-round-one',
  templateUrl: './round-one.component.html',
  styleUrls: ['./round-one.component.scss']
})
export class RoundOneComponent {
  @Input() pathTitle = ['การประเมินสมรรถนะ', 'ทะเบียนเครื่องมือ', 'เครื่องมือประเมิน'];
  @Output() sendPathTitle: EventEmitter<string[]> = new EventEmitter<string[]>();
  @Output() sendPageEvalution: EventEmitter<string> = new EventEmitter<string>();
  @Output() sendEmployeeId: EventEmitter<string> = new EventEmitter<string>();

  subordinate: { loading: false, dataList: AppraisalSubordinateModel[] } = { loading: false, dataList: [] }
  search = ""
  constructor(private appraisalService: AppraisalService,
    private cdr: ChangeDetectorRef) {
  }
  ngOnInit(): void {
    this.getBossList()
  }
  getBossList() {
    this.appraisalService.getBossList().subscribe({
      next: response => {
        this.subordinate.dataList = response.map(x => new MyAppraisalSubordinateModel(x))
        this.cdr.detectChanges()
      }, error: error => {
        this.cdr.detectChanges()
      }
    })
  }
  subordinateFilter() {
    return this.subordinate.dataList.filter(x => {
      return x.apsassessy.employeeId.toLowerCase().includes(this.search.toLowerCase()) || x.apsassessy.thFullName.toLowerCase().includes(this.search.toLowerCase())
    })
  }
  returnPage(text: string) {
    this.sendEmployeeId.emit()
    this.sendPageEvalution.emit(text)
  }
}

